Subject: Re: bug#17172: 24.3.50; Timeouts when pasting from mouse

From: Jan Djärv <[email-masked]>
Date: Thu, 17 Apr 2014 09:53:27 +0200

Hello.

> FWIW, there's some info in bug#16737 which looks very much like a
> duplicate of this one (I tried merging them but I got an error because
> their importance is different). Could you have a look ? In particular I
> mentionned there:
>> Whenever I eval (x-get-selection 'SECONDARY) (or 'PRIMARY or
>> 'CLIPBOARD, for that matter), it hangs for a few seconds and then
>> throws "Timed out waiting for reply from selection owner". No matter
>> what is in that selection, even if it is empty.

How do you determine "empty"?  If there is no selection owner, 
XConvertSelection should say so at once, and there would be no timeout.

> Hopefully this answers your question.

It does not.  The most important thing with these selection bugs are:
1) Who owns the selection, i.e. the application copied from?
2) What desktop environment is used?

We seen plenty of bad klipper-like software, i.e. daemons that constantly copy 
selections to themselves so the selected text survives when the application dies.

Your statement of empty selection above suggests that you do run such 
software, possibly without realizing it.  Most KDE users does not know that 
klipper is running.

	Jan D.